%global githash 0aae3ee636496e823de8bde4118ff8d02b1dead3
Name:          jeo
Version:       0.7
Release:       1%{?dist}
Summary:       Lightweight spatial library for the JVM
License:       ASL 2.0
URL:           http://oeco.github.io/jeo/
Source0:       https://github.com/jeo/jeo/archive/%{githash}/%{name}-%{githash}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.protobuf:protobuf-java)
BuildRequires: mvn(com.vividsolutions:jts)
BuildRequires: mvn(io.jeo:proj4j)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires: mvn(org.codehaus.mojo:javacc-maven-plugin)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.xerial:sqlite-jdbc)
BuildRequires: mvn(postgresql:postgresql)
BuildRequires: protobuf-compiler

# test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.easymock:easymock)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(org.joda:joda-convert)
BuildRequires: mvn(org.slf4j:slf4j-jdk14)

BuildArch:     noarch

%description
JEO is an open-source library written in Java that
provides low level spatial capabilities.

%package format
Summary:       JEO Format Modules Parent POM

%description format
JEO Format Modules Parent POM.

%package formats
Summary:       JEO All Formats Aggregator POM

%description formats
JEO All Formats Aggregator POM.

%package geobuf
Summary:       JEO Geobuf Driver

%description geobuf
JEO Geobuf Driver.

%package geopkg
Summary:       JEO GeoPackage Driver

%description geopkg
JEO GeoPackage Driver.

%package mbtiles
Summary:       JEO MBTiles Driver

%description mbtiles
JEO MBTiles Driver.

%package parent
Summary:       JEO Parent POM

%description parent
Java Geospatial Library Parent POM.

%package postgis
Summary:       JEO PostGIS Driver

%description postgis
JEO PostGIS Driver.

%package sql
Summary:       JEO SQL Utilities

%description sql
JEO SQL Utilities.

%package util
Summary:       JEO Util Modules Parent POM

%description util
JEO Util Modules Parent POM.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{githash}

# Not available plugins
# pl.project13.maven:git-commit-id-plugin:2.1.4
%pom_remove_plugin :git-commit-id-plugin
%pom_remove_plugin :cobertura-maven-plugin
# Unwanted tasks
%pom_remove_plugin de.thetaphi:forbiddenapis
%pom_remove_plugin :maven-source-plugin

# Not available test deps
%pom_remove_dep -r org.easymock:easymockclassextension

# Not available plugin com.github.igor-petruk.protobuf:protobuf-maven-plugin:0.6.5
%pom_xpath_remove pom:profiles format/geobuf
%pom_add_plugin org.apache.maven.plugins:maven-antrun-plugin format/geobuf '
<executions>
    <execution>
    <id>generate-sources</id>
    <phase>generate-sources</phase>
    <configuration>
        <tasks>
            <delete file="${basedir}/src/main/gen/*.java"/>
            <apply executable="protoc" parallel="false">
                <arg value="--java_out=${basedir}/src/main/gen"/>
                <srcfile/>
                <arg value="--proto_path=${basedir}/src/main/protobuf"/>
                <fileset dir="${basedir}/src/main/protobuf" includes="**/*.proto"/>
            </apply>
        </tasks>
        <sourceRoot>${basedir}/src/main/gen</sourceRoot>
    </configuration>
    <goals>
        <goal>run</goal>
    </goals>
    </execution>
</executions>'

# Not available build deps
# net.sourceforge.javacsv:javacsv:2.0 http://downloads.sourceforge.net/javacsv/javacsv2.1.zip
%pom_disable_module csv format
# org.gdal:gdal:1.11.1
%pom_disable_module gdal format
# Deprecated module use org.mongodb:mongo-java-driver:2.9.3
%pom_disable_module mongo format
%pom_remove_dep -r :jeo-csv
%pom_remove_dep -r :jeo-gdal
%pom_remove_dep -r :jeo-mongo

%pom_xpath_set pom:addClasspath false core

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc AUTHORS.md README.md
%license COPYRIGHT.md LICENSE.md

%files format -f .mfiles-format
%license COPYRIGHT.md LICENSE.md

%files formats -f .mfiles-%{name}-formats
%license COPYRIGHT.md LICENSE.md

%files geobuf -f .mfiles-%{name}-geobuf
%doc format/geobuf/README.md

%files geopkg -f .mfiles-%{name}-geopkg
%files mbtiles -f .mfiles-%{name}-mbtiles

%files parent -f .mfiles-%{name}-parent
%license COPYRIGHT.md LICENSE.md

%files postgis -f .mfiles-%{name}-postgis

%files sql -f .mfiles-%{name}-sql

%files util -f .mfiles-util
%license COPYRIGHT.md LICENSE.md

%files javadoc -f .mfiles-javadoc
%license COPYRIGHT.md LICENSE.md

%changelog
* Sun Apr 17 2016 gil cattaneo <puntogil@libero.it> 0.7-1
- initial rpm
